"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = dataDenormalizer;
function dataDenormalizer(data, xKey, yKey) {
  return (data || []).map(function (datum) {
    return {
      xKey: xKey,
      yKey: yKey,
      xValue: datum[xKey],
      yValue: datum[yKey],
      original: datum
    };
  });
}
;

var _temp = function () {
  if (typeof __REACT_HOT_LOADER__ === 'undefined') {
    return;
  }

  __REACT_HOT_LOADER__.register(dataDenormalizer, "dataDenormalizer", "src/helpers/dataDenormalizer.js");
}();

;