"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _keys = require("babel-runtime/core-js/object/keys");

var _keys2 = _interopRequireDefault(_keys);

var _extends2 = require("babel-runtime/helpers/extends");

var _extends3 = _interopRequireDefault(_extends2);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var _default = function _default(DOMPropertyConfig) {
  return function (props) {
    var newProps = (0, _extends3.default)({}, props);
    delete newProps.children;
    var keys = (0, _keys2.default)(newProps);
    var elementProps = {};
    keys.forEach(function (name) {
      if (DOMPropertyConfig.Properties.hasOwnProperty(name)) {
        elementProps[name] = newProps[name];
        delete newProps[name];
      }
    });
    return [elementProps, newProps];
  };
};

exports.default = _default;
;

var _temp = function () {
  if (typeof __REACT_HOT_LOADER__ === 'undefined') {
    return;
  }

  __REACT_HOT_LOADER__.register(_default, "default", "src/helpers/splitElementProps.js");
}();

;