'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = valueOf;

var _lodash = require('lodash');

var _lodash2 = _interopRequireDefault(_lodash);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function valueOf(target, data, n) {
  if (_lodash2.default.isArray(target)) {
    return target[n];
  }if (_lodash2.default.isFunction(target)) {
    for (var _len = arguments.length, args = Array(_len > 3 ? _len - 3 : 0), _key = 3; _key < _len; _key++) {
      args[_key - 3] = arguments[_key];
    }

    return target.apply(undefined, [data, n].concat(args));
  }
  return target;
}
;

var _temp = function () {
  if (typeof __REACT_HOT_LOADER__ === 'undefined') {
    return;
  }

  __REACT_HOT_LOADER__.register(valueOf, 'valueOf', 'src/helpers/valueOf.js');
}();

;