'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.stringOrNumber = exports.stringOrFunc = exports.stringOrArrayOfStrings = exports.numberOrFunc = exports.arrayOrFunc = undefined;

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var numberOrFunc = _propTypes2.default.oneOfType([_propTypes2.default.number, _propTypes2.default.func]);

var stringOrFunc = _propTypes2.default.oneOfType([_propTypes2.default.string, _propTypes2.default.func]);

var stringOrArrayOfStrings = _propTypes2.default.oneOfType([_propTypes2.default.string, _propTypes2.default.arrayOf(_propTypes2.default.string)]);

var arrayOrFunc = _propTypes2.default.oneOfType([_propTypes2.default.array, _propTypes2.default.func]);

var stringOrNumber = _propTypes2.default.oneOfType([_propTypes2.default.string, _propTypes2.default.number]);

exports.arrayOrFunc = arrayOrFunc;
exports.numberOrFunc = numberOrFunc;
exports.stringOrArrayOfStrings = stringOrArrayOfStrings;
exports.stringOrFunc = stringOrFunc;
exports.stringOrNumber = stringOrNumber;
;

var _temp = function () {
  if (typeof __REACT_HOT_LOADER__ === 'undefined') {
    return;
  }

  __REACT_HOT_LOADER__.register(numberOrFunc, 'numberOrFunc', 'src/propTypes/customPropTypes.js');

  __REACT_HOT_LOADER__.register(stringOrFunc, 'stringOrFunc', 'src/propTypes/customPropTypes.js');

  __REACT_HOT_LOADER__.register(stringOrArrayOfStrings, 'stringOrArrayOfStrings', 'src/propTypes/customPropTypes.js');

  __REACT_HOT_LOADER__.register(arrayOrFunc, 'arrayOrFunc', 'src/propTypes/customPropTypes.js');

  __REACT_HOT_LOADER__.register(stringOrNumber, 'stringOrNumber', 'src/propTypes/customPropTypes.js');
}();

;