'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _getPrototypeOf = require('babel-runtime/core-js/object/get-prototype-of');

var _getPrototypeOf2 = _interopRequireDefault(_getPrototypeOf);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _d3Selection = require('d3-selection');

var _d3Transition = require('d3-transition');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var HorizontalCurtain = function (_Component) {
  (0, _inherits3.default)(HorizontalCurtain, _Component);

  function HorizontalCurtain() {
    (0, _classCallCheck3.default)(this, HorizontalCurtain);
    return (0, _possibleConstructorReturn3.default)(this, (HorizontalCurtain.__proto__ || (0, _getPrototypeOf2.default)(HorizontalCurtain)).apply(this, arguments));
  }

  (0, _createClass3.default)(HorizontalCurtain, [{
    key: 'componentDidMount',
    value: function componentDidMount() {
      this.animate();
    }
  }, {
    key: 'render',
    value: function render() {
      var _this2 = this;

      var className = ['horizontal-curtain'];
      if (this.props.classNamePrefix) {
        className.push(this.props.classNamePrefix + '__horizontal-curtain');
      }
      if (this.props.className) {
        className.push(this.props.className);
      }
      return _react2.default.createElement(
        'clipPath',
        {
          id: this.props.id,
          className: className.join(' ')
        },
        _react2.default.createElement('rect', {
          ref: function ref(n) {
            return _this2.rect = n;
          },
          width: 0,
          height: this.props.areaHeight
        })
      );
    }
  }, {
    key: 'animate',
    value: function animate() {
      var transition = (0, _d3Transition.transition)().duration(this.props.duration).delay(this.props.delay);
      var rectSelection = (0, _d3Selection.select)(this.rect);
      var rectWidth = parseFloat(rectSelection.attr('width') || 0);
      if (this.props.areaWidth && this.props.areaWidth !== rectWidth) {
        rectSelection.transition(transition).attr('width', this.props.areaWidth);
      }
    }
  }]);
  return HorizontalCurtain;
}(_react.Component);

HorizontalCurtain.propTypes = {
  id: _propTypes2.default.string,
  className: _propTypes2.default.string,
  classNamePrefix: _propTypes2.default.string,
  height: _propTypes2.default.number,
  areaHeight: _propTypes2.default.number,
  width: _propTypes2.default.number,
  areaWidth: _propTypes2.default.number,
  paddingBottom: _propTypes2.default.number,
  paddingLeft: _propTypes2.default.number,
  paddingRight: _propTypes2.default.number,
  paddingTop: _propTypes2.default.number,
  duration: _propTypes2.default.number,
  delay: _propTypes2.default.number
};
HorizontalCurtain.defaultProps = {};
var _default = HorizontalCurtain;
exports.default = _default;
;

var _temp = function () {
  if (typeof __REACT_HOT_LOADER__ === 'undefined') {
    return;
  }

  __REACT_HOT_LOADER__.register(HorizontalCurtain, 'HorizontalCurtain', 'src/animators/HorizontalCurtain.js');

  __REACT_HOT_LOADER__.register(_default, 'default', 'src/animators/HorizontalCurtain.js');
}();

;