"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = stackedDataDenormalizer;
function stackedDataDenormalizer(stackedData, xKey, yKey) {
  return (stackedData || []).map(function (datum) {
    return {
      xKey: xKey,
      yKey: yKey,
      xValue: datum.data[xKey],
      y0Value: datum[0],
      yValue: datum[1],
      original: datum.data
    };
  });
}
;

var _temp = function () {
  if (typeof __REACT_HOT_LOADER__ === 'undefined') {
    return;
  }

  __REACT_HOT_LOADER__.register(stackedDataDenormalizer, "stackedDataDenormalizer", "src/helpers/stackedDataDenormalizer.js");
}();

;